Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # HasDynamicYStepTypeConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename T> struct boost::gil::HasDynamicYStepTypeConcept< T > Concept for locators and views that can define a type just like the given locator or view, except it supports runtime specified step along the Y navigation.
    concept HasDynamicYStepTypeConcept<typename T> {
        typename dynamic_y_step_type<T>;
            where Metafunction<dynamic_y_step_type<T> >;
    };
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp